Click or drag to resize

BrepTransformComponent Method

Transform an array of Brep components, bend neighbors to match, and leave the rest fixed.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool TransformComponent(
	IEnumerable<ComponentIndex> components,
	Transform xform,
	double tolerance,
	double timeLimit,
	bool useMultipleThreads
)

Parameters

components
Type: System.Collections.GenericIEnumerableComponentIndex
The Brep components to transform.
xform
Type: Rhino.GeometryTransform
The transformation to apply.
tolerance
Type: SystemDouble
The desired fitting tolerance to use when bending faces that share edges with both fixed and transformed components.
timeLimit
Type: SystemDouble
If the deformation is extreme, it can take a long time to calculate the result. If time_limit > 0, then the value specifies the maximum amount of time in seconds you want to spend before giving up.
useMultipleThreads
Type: SystemBoolean
True if multiple threads can be used.

Return Value

Type: Boolean
true if successful, false otherwise.
Version Information

Rhino for Windows

Supported in: 6.11
See Also